#!/usr/bin/python

import sys
from os import walk
# the following line is new for python-opencv 2.1.0
import cv

def detectObject(pImage):
	lGrayScale = cv.CreateImage((pImage.width,pImage.height), 8, 1)
	cv.CvtColor(pImage, lGrayScale, cv.CV_BGR2GRAY)
	lStorage = cv.CreateMemStorage(0)
	cv.EqualizeHist(lGrayScale, lGrayScale)
	lCascade = cv.Load("haarcascade_frontalface_default.xml")
	lFaces = cv.HaarDetectObjects(lGrayScale, lCascade, lStorage, 1.1, 5)
 	for (x,y,w,h),n in lFaces:
 		cv.Rectangle(pImage, (x,y), (x+w,y+h), 255)

def displayObject(pImage):
	cv.NamedWindow("face", 1)
	cv.ShowImage("face", pImage)
	cv.WaitKey(0)
	cv.DestroyWindow("face")

def main():
	if len(sys.argv) <= 1:
		print("No path to an image given")
		lImagePath = "/tmp/image01.jpg"
	else:
		lImagePath = sys.argv[1]

	try:
		# cv.LoadImage is new in python-opencv 2.1.0
		lImage = cv.LoadImage(lImagePath)
		detectObject(lImage)
		displayObject(lImage)
		cv.SaveImage("/tmp/face.jpg",lImage)
	except Exception, pException:
		print("Error during processing image (%(image)s): %(message)s" % \
			{'message':str(pException),
			 'image':lImagePath})
	
if __name__ == "__main__":
	main()

