import sys, os
import cv

sCascade = cv.Load("./haarcascade_frontalface_default.xml")

def displayObject(pImage):
  cv.NamedWindow("face", 1)
  cv.ShowImage("face", pImage)
  cv.WaitKey(0)
  cv.DestroyWindow("face")

def detectFaces(pImage):
  lImage = cv.LoadImage(pImage)

  lGrayScale = cv.CreateImage((lImage.width,lImage.height), 8, 1)
  cv.CvtColor(lImage, lGrayScale, cv.CV_BGR2GRAY)
  lStorage = cv.CreateMemStorage(0)
  cv.EqualizeHist(lGrayScale, lGrayScale)
  
  lFaces = cv.HaarDetectObjects(lGrayScale, sCascade, lStorage, 1.15, 5)
  
  if ((len(lFaces)) > 0):
    print("The picture contains %(number)s face%(plural)s!" % {'number':len(lFaces), 'plural':'s' if len(lFaces) > 1 else ''})
    #for (x,y,w,h),n in lFaces:
    #  cv.Rectangle(lImage, (x,y), (x+w,y+h), 255)
    #cv.SaveImage(os.path.join(os.path.dirname(pImage), "faces_" + os.path.basename(pImage)),lImage)
    #displayObject(lImage)
    return 1, pImage
  else:
    print ("The picture doesn't contain a face!")
    return 0, pImage
    
