#!/usr/bin/python
#Invocation:
#python scriptname <faces|skin|text> <path>
 
import os, sys

from faces import detectFaces
from skin import detectSkin
from ocr import extractText

def main():
    
    if len(sys.argv) != 3:
        print("Wrong number of arguments. Usage: python %s <faces|skin|text> <pPath>" % sys.argv[0])
        sys.exit(-1)

    if (sys.argv[1] == "faces"):
        processFunc = detectFaces
    elif (sys.argv[1] == "skin"):
        processFunc = detectSkin
    elif (sys.argv[1] == "text"):
        processFunc = extractText
    else:
        print('Wrong parameter! Usage: python %s <faces|skin|text> <pPath>' % sys.argv[0])
        sys.exit(-2)
    
    
    for lRoot, lDirs, lFiles in os.walk(sys.argv[2]):
        for lName in lFiles:
           try:
               pPath = lRoot + os.sep + lName
               lResult = processFunc(pPath)
               if lResult[0] == 0:
                   print("""Negative result for: %s
-------------------------------------------""" % pPath)
               else:
                   print("""Positive result for: %s
-------------------------------------------""" % pPath)
           except NotImplementedError,exception:
               print("An error occured: " + str(exception))
           except KeyboardInterrupt:
               print("Cleaning up ...")
               sys.exit(-1)
           except IOError:
               print("File \'"+ pPath + """\' is not supported or not a picture!
-------------------------------------------""")

if __name__ == "__main__":
    main()
